Bug 179441 - iptables doesn't manage to restart
Summary: iptables doesn't manage to restart
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-31 13:45 UTC by mediaforest
Modified: 2015-01-04 22:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-03 19:22:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mediaforest 2006-01-31 13:45:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; fr; rv:1.7.12) Gecko/20050915

Description of problem:
When trying to apply a modification to my firewall, iptables doesn't manage to restart. there's a process :"modprobe -r ip_nat_ftp" which is consuming 99% of the processor, and furthermore it's impossible to kill by any means. Even reboot doesn't works and is hanged. Only solution : hard reset, which is really really really annoying (and expensive on a distant server) ;(
It seems that there were similar bugs in older releases since 2003, but It can't be the same as we're in 2006 now.

Version-Release number of selected component (if applicable):
1.2.11-3.1

How reproducible:
Always

Steps to Reproduce:
1. modify parameters in /etc/sysconfig/iptables
2. Try to restart iptables
3. Wait a moment to see that nothing happens
4. type reboot at the prompt
5. wait a moment to see the reboot lock
6. power off you computer and kick angrily in that box
  

Actual Results:  The system execute a file check as it was not cleanly shutdown
then it restart normally

Expected Results:  The change to iptables should have been applied right a way
The kill command should be able to kill modprobe -r ip_nat_ftp
THe reboot command should be able to reboot the system

Additional info:

Comment 1 Thomas Woerner 2006-02-01 10:27:19 UTC
This is kernel problem.

Comment 2 Dave Jones 2006-02-03 19:22:35 UTC
With the release of Fedora Core 5 test2, FC3 has now reached end-of-life.
The fedora-legacy team provide security updates for older releases, but not
general bug fixes due to limited resources.

If you can reproduce this bug with Fedora Core 4, please feel free to reopen
this bug.


Note You need to log in before you can comment on or make changes to this bug.